package common.entity.npc;

import common.init.Items;
import common.item.ItemStack;
import common.rng.Random;
import common.world.World;

public class EntityCpu extends EntityNPC {
	public EntityCpu(World worldIn) {
		super(worldIn);
	}
	
//	public boolean isAggressive() {
//		return false;
//	}
//	
//    public boolean isPeaceful() {
//    	return false;
//    }
    
//    public boolean isAggressive(Class<? extends EntityNPC> clazz) {
//    	return false;
//    }
    
//    public boolean isPeaceful(Class<? extends EntityNPC> clazz) {
//    	return false;
//    }
    
//    public boolean canInfight(Alignment align) {
//    	return false;
//    }
//    
//    public boolean canMurder(Alignment align) {
//    	return false;
//    }
    
    public boolean canUseMagic() {
    	return true;
    }
    
//    public int getBaseEnergy(Random rand) {
//    	return Integer.MAX_VALUE;
//    }
    
    public int getBaseHealth(Random rand) {
    	return 1024;
    }
    
//    public float getHeightDeviation(Random rand) {
//    	return 0.0f;
//    }
    
    public Alignment getNaturalAlign() {
    	return Alignment.NEUTRAL;
    }
    
    public boolean isBreedingItem(ItemStack stack) {
        return stack.getItem() == Items.nieh_fragment;
    }
    
    public float getSpeciesBaseSize() {
    	return 1.8f;
    }
}
